﻿using System;
using System.IO;
using System.Windows.Forms;
using Eplan.EplApi.ApplicationFramework;
using Eplan.EplApi.Base;
using Eplan.EplApi.Scripting;



class ImportCustomUserProperties
{

    [Start]
    public void Action()
    {
        String strProject = PathMap.SubstitutePath("$(P)");
        string xmlFilepath = PathMap.SubstitutePath(@"C:\Temp\PLfi.Stücklistenfilter-ECTR.xml");
        string xmlFilepath2 = PathMap.SubstitutePath(@"C:\Temp\PLfi.Stücklistenfilter-ECTR_Inv..xml");
          
        bool fExists = File.Exists(xmlFilepath);
        bool fExists2 = File.Exists(xmlFilepath2);
        if (fExists || fExists2)
        {
            try
            {
                bool bResult = true;
                ActionCallingContext ReadXMLFile = new ActionCallingContext();
                ReadXMLFile.AddParameter("Project", strProject);
                ReadXMLFile.AddParameter("XMLFile", xmlFilepath);
                //ReadXMLFile.AddParameter("Option", "OVERWRITE");
                bResult = new CommandLineInterpreter().Execute("XSettingsImport", ReadXMLFile);
                
                ActionCallingContext ReadXMLFile2 = new ActionCallingContext();
                ReadXMLFile2.AddParameter("Project", strProject);
                ReadXMLFile2.AddParameter("XMLFile", xmlFilepath2);
                //ReadXMLFile2.AddParameter("Option", "OVERWRITE");
                bResult &= new CommandLineInterpreter().Execute("XSettingsImport", ReadXMLFile2);

                if (!bResult)
                {
                    MessageBox.Show(strProject, "XSettingsImport war nicht erfolgreich", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    MessageBox.Show(strProject, "XSettingsImport war erfolgreich", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
            }
            catch (Exception exception)
            {
                MessageBox.Show(exception.Message, "ImportProjectsettings", MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
            }
        }
        else
        {
            if (!fExists) MessageBox.Show(xmlFilepath, "Datei existiert nicht", MessageBoxButtons.OK, MessageBoxIcon.Error);
            if (!fExists2) MessageBox.Show(xmlFilepath2, "Datei existiert nicht", MessageBoxButtons.OK, MessageBoxIcon.Error);

        }
    }

}
